# C compiler
#------------------
CC = icc

# Fortran compiler
#-----------------
F90 = ifort

# MPI C compiler
#---------------
MPICC = mpiicc

# MPI Fortran compiler
#---------------------
MPIF90 = mpiifort

# C compilation options
#----------------------
CFLAGS = -O3 -g

# Fortran compilation options
#----------------------------
FFLAGS = -O3 -g 

# Linker options
#---------------
LDFLAGS = -O3 -g

# OpenMP C compilation options
#-----------------------------
CFLAGS_OMP =  -qopenmp

# OpenMP Fortran compilation options
#-----------------------------------
FFLAGS_OMP =  -qopenmp

# OpenMP link options
#--------------------
LDFLAGS_OMP = -qopenmp

# Pthreads compilation options
#-----------------------------
CFLAGS_PTH = -pthread

# Pthreads link options
#----------------------
LDFLAGS_PTH = -lpthread
